| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csYScaleMatrix3 Class Reference
[Geometry utilities]

An instance of csMatrix3 that is initialized to scale the Y dimension. More...

`#include <csgeom/matrix3.h>`

Inheritance diagram for csYScaleMatrix3:

[legend]
List of all members.

## Public Member Functions
| csYScaleMatrix3 (float scaler)
| Return a matrix which scales in the Y dimension.

## Detailed Description

An instance of csMatrix3 that is initialized to scale the Y dimension.

Definition at line 257 of file matrix3.h.

## Constructor & Destructor Documentation

csYScaleMatrix3::csYScaleMatrix3 | ( | float | scaler | ) | `[inline]`

Return a matrix which scales in the Y dimension.

Definition at line 263 of file matrix3.h.

The documentation for this class was generated from the following file:

- csgeom/matrix3.h